# Microsoft.Samples.DirectX.UtilityToolkit.StaticText Class Reference

StaticText text control. More...

Inherits Microsoft::Samples::DirectX::UtilityToolkit::Control, Microsoft::Samples::DirectX::UtilityToolkit::Control, and Microsoft::Samples::DirectX::UtilityToolkit::Control.

Inherited by Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Button, and Microsoft.Samples.DirectX.UtilityToolkit.Button.

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.StaticText:

[legend]

List of all members.

## Public Member Functions
| StaticText (Dialog parent)
| Create a new instance of a static text control.
override void | Render (Device device, float elapsedTime)
| Render this control.
string | GetTextCopy ()
| Return a copy of the string.
void | SetText (string newText)
| Sets the updated text for this control.
| StaticText (Dialog parent)
| Create a new instance of a static text control.
override void | Render (Device device, float elapsedTime)
| Render this control.
string | GetTextCopy ()
| Return a copy of the string.
void | SetText (string newText)
| Sets the updated text for this control.
| StaticText (Dialog parent)
| Create a new instance of a static text control.
override void | Render (Device device, float elapsedTime)
| Render this control.
string | GetTextCopy ()
| Return a copy of the string.
void | SetText (string newText)
| Sets the updated text for this control.
## Public Attributes
const int | TextElement = 0
## Protected Attributes
string | textData

## Detailed Description

StaticText text control.

Definition at line 1959 of file dxmutgui.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.StaticText.StaticText | ( | Dialog | parent | ) |

Create a new instance of a static text control.

Definition at line 1967 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.StaticText.StaticText | ( | Dialog | parent | ) |

Create a new instance of a static text control.

Definition at line 1967 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.StaticText.StaticText | ( | Dialog | parent | ) |

Create a new instance of a static text control.

Definition at line 1967 of file wdxmutgui.cs.

## Member Function Documentation

string Microsoft.Samples.DirectX.UtilityToolkit.StaticText.GetTextCopy | ( |  | ) |

Return a copy of the string.

Definition at line 1999 of file wdxmutgui.cs.

string Microsoft.Samples.DirectX.UtilityToolkit.StaticText.GetTextCopy | ( |  | ) |

Return a copy of the string.

Definition at line 1998 of file dxmutgui.cs.

string Microsoft.Samples.DirectX.UtilityToolkit.StaticText.GetTextCopy | ( |  | ) |

Return a copy of the string.

Definition at line 1998 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.StaticText.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render this control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, and Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.

Definition at line 1979 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.StaticText.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render this control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, and Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.

Definition at line 1978 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.StaticText.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render this control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Reimplemented in Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, Microsoft.Samples.DirectX.UtilityToolkit.ComboBox, Microsoft.Samples.DirectX.UtilityToolkit.Button, Microsoft.Samples.DirectX.UtilityToolkit.Checkbox, and Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.

Definition at line 1978 of file dxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.StaticText.SetText | ( | string | newText | ) |

Sets the updated text for this control.

Definition at line 2007 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.StaticText.SetText | ( | string | newText | ) |

Sets the updated text for this control.

Definition at line 2006 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.StaticText.SetText | ( | string | newText | ) |

Sets the updated text for this control.

Definition at line 2006 of file dxmutgui.cs.

Here is the caller graph for this function:

## Member Data Documentation

string Microsoft::Samples::DirectX::UtilityToolkit.StaticText::textData`[protected]`

Definition at line 1962 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.StaticText::TextElement = 0

Definition at line 1961 of file dxmutgui.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs